Create a new key page
curl --request POST \
--url https://api.kameleoon.com/key-pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"matchType": "<string>",
"relativeUrlRegExp": "<string>",
"secondMatchType": "<string>",
"siteId": 123,
"totalCount": 123
}
'import requests
url = "https://api.kameleoon.com/key-pages"
payload = {
"name": "<string>",
"matchType": "<string>",
"relativeUrlRegExp": "<string>",
"secondMatchType": "<string>",
"siteId": 123,
"totalCount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
matchType: '<string>',
relativeUrlRegExp: '<string>',
secondMatchType: '<string>',
siteId: 123,
totalCount: 123
})
};
fetch('https://api.kameleoon.com/key-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": 123,
"matchType": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"relativeUrlRegExp": "<string>",
"secondMatchType": "<string>",
"siteId": 123,
"totalCount": 123
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}KeyPage
Create a new key page
Create a new key page with the given parameters
POST
/
key-pages
Create a new key page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Name of the key page
Matching type for the given key page
Regular expression for the relative URL
Second matching type for the given key page (if needed)
Site Id of the project the key page belongs to
Number of impressions for the key page
Response
Created
Name of the key page
Date and time a key page is created
Unique Id of the key page
Matching type for the given key page
Date and time a key page is modified
Regular expression for the relative URL
Second matching type for the given key page (if needed)
Site Id of the project the key page belongs to
Number of impressions for the key page
Was this page helpful?
⌘I